Package: grails.plugins.metadata

## [Java] Annotation Type GrailsPlugin

- grails.plugins.metadata.GrailsPlugin

-     @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
      @java.lang.annotation.Target({ElementType.TYPE})
      public @interface GrailsPlugin

  Annotation that appears on classes of a particular plugin.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `java.lang.String` | `name`
    `java.lang.String` | `version`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Element Detail

    - #### public java.lang.String name

    - #### public java.lang.String version